Bug 447028 - Logrotate of psacct will restart accounting even if the service was stopped
Logrotate of psacct will restart accounting even if the service was stopped
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: psacct (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 22:15 EDT by Filipe Brandenburger
Modified: 2013-04-12 15:43 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0626
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 09:05:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filipe Brandenburger 2008-05-16 22:15:36 EDT
Description of problem:

The logrotate script of psacct runs "accton" always, independently of accounting
being enabled or not.



Version-Release number of selected component (if applicable):

psacct-6.3.2-41.1



How reproducible:

Always



Steps to Reproduce:
1. Turn accounting on by running "service psacct start"
2. Leave accounting on until there is some data on /var/account/pacct
3. Turn accounting off by running "service psacct stop"
4. Verify that /var/account/pacct stopped growing
5. Wait for logrotate to run (you should wait two days for this to occur
naturally); alternatively you can force this by running "logrotate -f
/etc/logrotate.conf"
6. Check that accounting is on again, see that /var/account/pacct is growing again



Actual results:

Accounting will be restarted any time that the logs rotate and there is any
content, independent of the service being started or not.



Expected results:

The postrotate script should run only when the service is started.



Additional info:

This problem could be fixed by changing the postrotate line of
/etc/logrotate.d/psacct

Instead of this:
        /usr/sbin/accton /var/account/pacct

It should be this:
        test -f /var/lock/subsys/psacct && /usr/sbin/accton /var/account/pacct
Comment 5 errata-xmlrpc 2008-07-30 09:05:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0626.html

Note You need to log in before you can comment on or make changes to this bug.